##########################################################################################
# --------------------------------- RELAXED co-occurrence model, sim2 -------------------#
##########################################################################################


# Function to remove singleton species and emptry trees
dataWA.d <-get.out0(dataWA.c)
dataWAS.d <-get.out0(dataWAS.c)
dataWAM.d <-get.out0(dataWAM.c)
dataWAL.d <-get.out0(dataWAL.c)
dataWB.d <-get.out0(dataWB.c)
dataWBS.d <-get.out0(dataWBS.c)
dataWBM.d <-get.out0(dataWBM.c)
dataWBL.d <-get.out0(dataWBL.c)

dataNA.d <-get.out0(dataNA.c)
dataNAS.d <-get.out0(dataNAS.c)
dataNAM.d <-get.out0(dataNAM.c)
dataNAL.d <-get.out0(dataNAL.c)

dataYA.d <-get.out0(dataYA.c)
dataYAS.d <-get.out0(dataYAS.c)
dataYAM.d <-get.out0(dataYAM.c)
dataYAL.d <-get.out0(dataYAL.c)
dataYC.d <-get.out0(dataYC.c)
dataYCS.d <-get.out0(dataYCS.c)
dataYCM.d <-get.out0(dataYCM.c)
dataYCL.d <-get.out0(dataYCL.c)

dataWA.d.flip<-t(dataWA.d)
dataWA.d.flip<-as.data.frame(dataWA.d.flip)
dataWAS.d.flip<-t(dataWAS.d)
dataWAS.d.flip<-as.data.frame(dataWAS.d.flip)
dataWAM.d.flip<-t(dataWAM.d)
dataWAM.d.flip<-as.data.frame(dataWAM.d.flip)
dataWAL.d.flip<-t(dataWAL.d)
dataWAL.d.flip<-as.data.frame(dataWAL.d.flip)
dataWB.d.flip<-t(dataWB.d)
dataWB.d.flip<-as.data.frame(dataWB.d.flip)
dataWBS.d.flip<-t(dataWBS.d)
dataWBS.d.flip<-as.data.frame(dataWBS.d.flip)
dataWBM.d.flip<-t(dataWBM.d)
dataWBM.d.flip<-as.data.frame(dataWBM.d.flip)
dataWBL.d.flip<-t(dataWBL.d)
dataWBL.d.flip<-as.data.frame(dataWBL.d.flip)
dataNA.d.flip<-t(dataNA.d)
dataNA.d.flip<-as.data.frame(dataNA.d.flip)
dataNAS.d.flip<-t(dataNAS.d)
dataNAS.d.flip<-as.data.frame(dataNAS.d.flip)
dataNAM.d.flip<-t(dataNAM.d)
dataNAM.d.flip<-as.data.frame(dataNAM.d.flip)
dataNAL.d.flip<-t(dataNAL.d)
dataNAL.d.flip<-as.data.frame(dataNAL.d.flip)
dataYA.d.flip<-t(dataYA.d)
dataYA.d.flip<-as.data.frame(dataYA.d.flip)
dataYAS.d.flip<-t(dataYAS.d)
dataYAS.d.flip<-as.data.frame(dataYAS.d.flip)
dataYAM.d.flip<-t(dataYAM.d)
dataYAM.d.flip<-as.data.frame(dataYAM.d.flip)
dataYAL.d.flip<-t(dataYAL.d)
dataYAL.d.flip<-as.data.frame(dataYAL.d.flip)
dataYC.d.flip<-t(dataYC.d)
dataYC.d.flip<-as.data.frame(dataYC.d.flip)
dataYCS.d.flip<-t(dataYCS.d)
dataYCS.d.flip<-as.data.frame(dataYCS.d.flip)
dataYCM.d.flip<-t(dataYCM.d)
dataYCM.d.flip<-as.data.frame(dataYCM.d.flip)
dataYCL.d.flip<-t(dataYCL.d)
dataYCL.d.flip<-as.data.frame(dataYCL.d.flip)

#--------------- WAS
dataWAS.d.flip.res2<-cooc_null_model(dataWAS.d.flip, 
                                     algo = "sim2", metric = "c_score",
                                      nReps = 50000, saveSeed = FALSE, burn_in = 50000)
#--------------- WAM
dataWAM.d.flip.res2<-cooc_null_model(dataWAM.d.flip, 
                                     algo = "sim2", metric = "c_score",
                                     nReps = 50000, saveSeed = FALSE, burn_in = 50000)
#--------------- WAL
dataWAL.d.flip.res2<-cooc_null_model(dataWAL.d.flip, 
                                     algo = "sim2", metric = "c_score",
                                     nReps = 50000, saveSeed = FALSE, burn_in = 50000)
summary(dataWAL.d.flip.res2)

#--------------- WBS
dataWBS.d.flip.res2<-cooc_null_model(dataWBS.d.flip, 
                                     algo = "sim2", metric = "c_score",
                                     nReps = 50000, saveSeed = FALSE, burn_in = 50000)
summary(dataWBS.d.flip.res2)

#--------------- WBM
dataWBM.d.flip.res2<-cooc_null_model(dataWBM.d.flip, 
                                     algo = "sim2", metric = "c_score",
                                     nReps = 50000, saveSeed = FALSE, burn_in = 50000)
summary(dataWBM.d.flip.res2)

#--------------- WBL
dataWBL.d.flip.res2<-cooc_null_model(dataWBL.d.flip, 
                                     algo = "sim2", metric = "c_score",
                                     nReps = 50000, saveSeed = FALSE, burn_in = 50000)
summary(dataWBL.d.flip.res2)


#--------------- NAS
dataNAS.d.flip.res2<-cooc_null_model(dataNAS.d.flip, 
                                     algo = "sim2", metric = "c_score",
                                     nReps = 50000, saveSeed = FALSE, burn_in = 50000)
summary(dataNAS.d.flip.res2)

#--------------- NAM
dataNAM.d.flip.res2<-cooc_null_model(dataNAM.d.flip, 
                                     algo = "sim2", metric = "c_score",
                                     nReps = 50000, saveSeed = FALSE, burn_in = 50000)
summary(dataNAM.d.flip.res2)

#--------------- NAL
dataNAL.d.flip.res2<-cooc_null_model(dataNAL.d.flip, 
                                     algo = "sim2", metric = "c_score",
                                     nReps = 50000, saveSeed = FALSE, burn_in = 50000)
summary(dataNAL.d.flip.res2)


#--------------- YAS
dataYAS.d.flip.res2<-cooc_null_model(dataYAS.d.flip, 
                                     algo = "sim2", metric = "c_score"
                                     ,nReps = 50000, saveSeed = FALSE, burn_in = 50000)
summary(dataYAS.d.flip.res2)

#--------------- YAM
dataYAM.d.flip.res2<-cooc_null_model(dataYAM.d.flip, 
                                     algo = "sim2", metric = "c_score",
                                     nReps = 50000, saveSeed = FALSE, burn_in = 50000)
summary(dataYAM.d.flip.res2)

#--------------- YAL
dataYAL.d.flip.res2<-cooc_null_model(dataYAL.d.flip, 
                                     algo = "sim2", metric = "c_score",
                                     nReps = 50000, saveSeed = FALSE, burn_in = 50000)
summary(dataYAL.d.flip.res2)

#--------------- YCS
dataYCS.d.flip.res2<-cooc_null_model(dataYCS.d.flip, 
                                     algo = "sim2", metric = "c_score",
                                     nReps = 50000, saveSeed = FALSE, burn_in = 50000)
summary(dataYCS.d.flip.res2)

#--------------- YCM
dataYCM.d.flip.res2<-cooc_null_model(dataYCM.d.flip, 
                                     algo = "sim2", metric = "c_score",
                                     nReps = 50000, saveSeed = FALSE, burn_in = 50000)
summary(dataYCM.d.flip.res2)

#--------------- YCL
dataYCL.d.flip.res2<-cooc_null_model(dataYCL.d.flip, 
                                     algo = "sim2", metric = "c_score",
                                     nReps = 50000, saveSeed = FALSE, burn_in = 50000)
summary(dataYCL.d.flip.res2)


